# $Revision: 1.21 $, $Date: 2008-03-19 16:39:11 $

%bcond_with	capifax	# capifax has some error and won't build right now

Summary:	CAPI 2.0 libraries and configuration tools
Summary(de.UTF-8):	CAPI 2.0 Werkzeuge für verschiedene ISDN Karten
Summary(pl.UTF-8):	Biblioteki i narzędzia konfiguracyjne CAPI 2.0
Name:		capi4k-utils
Version:	2005.07.18
Release:	2
License:	GPL
Group:		Applications/Communications
Source0:	ftp://ftp.in-berlin.de/pub/capi4linux/%{name}-2005-07-18.tar.gz
# Source0-md5:	c745759b6b3d64e19763727176648cdf
Source1:	ftp://ftp.in-berlin.de/pub/capi4linux/CHANGES
# Source1-md5:	03739a0170eba14f03f7dc7ccc58bba8
Source10:	capi.conf
Source11:	capi.init
Patch0:		%{name}-make.patch
Patch1:		%{name}-amd64.patch
URL:		ftp://ftp.in-berlin.de/pub/capi4linux/
BuildRequires:	libtool
BuildRequires:	ppp-plugin-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		ppp_ver		%(awk -F'"' '/VERSION/ { print $2 }' /usr/include/pppd/patchlevel.h 2>/dev/null || echo ERROR)

%description
These are the necessary tools to operate various CAPI 2.0 compatible
ISDN adapters.

In order to use the tools you need to install the appropriate driver
for the adapter. Native driver packages for some adapters are provided
with the kernel.

%description -l de.UTF-8
Dies sind die notwendigen Grundprogramme um verschiedene CAPI 2.0
fähige Geräte und ISDN Karten einzurichten. Für einige Karten müssen
Sie zusätzlich entsprechende Treiber installieren.

%description -l pl.UTF-8
W tym pakiecie zawarte są biblioteki współdzielone libcapi20 oraz
narzędzia służące do ładowania i konfiguracji sterowników CAPI.

Aby skorzystać z tych narzędzi potrzebny jest jeszcze odpowiedni
sterownik do karty ISDN. Kilka takich sterowników znajduje się już w
jądrze.

%package devel
Summary:	Header files for capi development
Summary(de.UTF-8):	Kopfdateien zur Entwicklung von CAPI Programmen
Summary(pl.UTF-8):	Pliki nagłówkowe capi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files required to develop capi
applications.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do budowania programów
korzystających ze sterowników w standardzie CAPI poprzez bibliotekę
libcapi.

%description devel -l de.UTF-8
Dieses Paket stellt die Dateien bereit um CAPI Programme zu entwickeln
oder neu zu Übersetzen.

%package static
Summary:	Static capi libraries
Summary(pl.UTF-8):	Statyczne biblioteki capi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static versions of capi libraries.

%description static -l pl.UTF-8
Statyczne wersje bibliotek capi.

%if %{with capifax}
%package capifax
Summary:	CAPI 2.0 fax tool
Summary(de.UTF-8):	CAPI 2.0 Fax Programm
Summary(pl.UTF-8):	Proste narzędzia do faksowania wykorzystujący możliwości CAPI 2.0
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description capifax
Native tools for sending and receiving fax with CAPI 2.0.

HINT: If you intend to use other CAPI 2.0 compliant fax software you
      do not need to install this package.

%description capifax -l de.UTF-8
Basis Programm zum Senden und Empfangen von Fax mittels CAPI 2.0.

HINWEIS: Falls Sie andere CAPI 2.0 fähige Faxprogramme einsetzen
         wollen brauchen Sie dieses Paket nicht installieren.

%description capifax -l pl.UTF-8
Podstawowe programy do wysyłania i odbierania faksów przez CAPI 2.0.

PORADA: Jeśli zamierzasz korzystać z innego pakietu do obsługi faksów
        (np. capisuite lub hylafax) to nie potrzebujesz tego pakietu.

%endif

%package remotecapi
Summary:	CAPI 2.0 remote tool
Summary(de.UTF-8):	CAPI 2.0 Fernsteuerungsprogramm
Summary(pl.UTF-8):	Program udostępniający interface CAPI 2.0 przez sieć
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description remotecapi
Native tool for remote control (login) with CAPI 2.0.

ATTENTION: This is extreme BETA.
           Avoid to install this package.

%description remotecapi -l de.UTF-8
Basis Programm zu Fernsteuerung (Login) mittels CAPI 2.0.

ACHTUNG: Dieses Programm ist BETA Testsoftware.
         Vermeiden Sie dieses Paket zu installieren.

%description remotecapi -l pl.UTF-8
Program udostępniający interface CAPI 2.0 przez sieć

UWAGA: To jest na razie BETA. Tylko do testów.

%package -n ppp-plugin-capi
Summary:	capiplugin for pppd-%{ppp_ver}
Summary(pl.UTF-8):	Wtyczka capi dla pppd w wersji %{ppp_ver}
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	ppp = 3:%{ppp_ver}

%description -n ppp-plugin-capi
capiplugin for pppd-%{ppp_ver}.

%description -n ppp-plugin-capi -l pl.UTF-8
Wtyczka capi dla pppd w wersji %{ppp_ver}.

%prep
%setup -q -n %{name}
%patch0 -p1
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif

cat > .config << END
CONFIG_BINDIR='%{_bindir}'
CONFIG_SBINDIR='%{_sbindir}'
CONFIG_MANDIR='%{_mandir}'
CONFIG_AVMCAPICTRL=y
CONFIG_LIBDIR='%{_libdir}'
%{?with_capifax:CONFIG_CAPIFAX=y}
CONFIG_RCAPID=y
CONFIG_PPPDCAPIPLUGIN=y
END

install -p %{SOURCE1} .

%build
%{__make} subconfig
%{__make} \
	PPPVERSIONS=%{ppp_ver}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PPPVERSIONS=%{ppp_ver} \
	DESTDIR=$RPM_BUILD_ROOT

# Firmware goes here - see LSB and kernel 2.6.x ISDN stuff
install -d $RPM_BUILD_ROOT%{_datadir}/isdn

# install capi configuration file used by capiinit
install -d $RPM_BUILD_ROOT%{_sysconfdir}/capi
install %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/capi

# install capi startup script
install -D %{SOURCE11} $RPM_BUILD_ROOT%{_initrddir}/capi

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add capi
%service capi restart

%preun
if [ "$1" = "0" ]; then
	%service capi stop
	/sbin/chkconfig --del capi
fi

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES pppdcapiplugin/examples
%attr(755,root,root) %{_bindir}/capiinfo
%attr(755,root,root) %{_sbindir}/capiinit
%attr(755,root,root) %{_sbindir}/avmcapictrl
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(754,root,root) %{_initrddir}/capi
%{_mandir}/man8/capiinfo.8*
%{_mandir}/man8/avmcapictrl.8*
%dir %{_datadir}/isdn
%dir %{_sysconfdir}/capi
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/capi/capi.conf
# mi to nie chce dzialac, wypisuje ze brak pliku
#%ghost %{_sysconfdir}/capi.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%if %{with capifax}
%files capifax
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/capifax*
%endif

%files remotecapi
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/rcapid

%files -n ppp-plugin-capi
%defattr(644,root,root,755)
%exclude %{_sysconfdir}/drdsl
%exclude %{_sysconfdir}/ppp
%{_libdir}/pppd/%{ppp_ver}/*
%{_mandir}/man8/capiplugin.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: capi4k-utils.spec,v $
Revision 1.21  2008-03-19 16:39:11  hawk
- release 2

Revision 1.20  2007-02-12 21:23:50  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.18  2007/02/11 21:00:02  arekm
- fix desc lang

Revision 1.17  2006/08/12 08:43:15  ankry
- formatting

Revision 1.16  2006/02/24 15:01:04  glen
- fixed scripts (was stoppng service on upgrade), STBR

Revision 1.15  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.14  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.13  2005/08/27 21:11:40  areq
- 2005.07.18

Revision 1.12  2005/05/21 23:43:23  averne
- rel 3

Revision 1.11  2005/05/21 23:42:57  averne
- ppp-plugin-capi requires ppp 3:ver, not ver

Revision 1.10  2005/05/11 14:19:33  qboosh
- more general lib64 if

Revision 1.9  2004/12/22 23:21:49  ankry
- rel. 2

Revision 1.8  2004/12/22 19:53:39  radzio
- on amd64 place libraries in /usr/lib64

Revision 1.7  2004/12/22 13:40:13  radzio
- apply Patch1 only on amd64

Revision 1.6  2004/12/21 16:54:40  radzio
- add capi4k-utils-amd64.patch

Revision 1.5  2004/12/21 09:51:40  radzio
- -a5

Revision 1.4  2004/12/21 09:50:45  radzio
- update to version 2004-10-06
- add becond_with capifax - capifax has some error in capi.c (to many arguments to function ALERT_REQ)

Revision 1.3  2004/05/04 16:32:20  qboosh
- separated -static, cleanups/unifications

Revision 1.2  2004/04/30 16:13:20  ankry
- sorted descriptions, formatting to 70 chars

Revision 1.1  2004/04/30 12:40:32  gotar
- from Kamil Christ kamil.christ at comp-win pl

Revision 1.03  2004/04/26 16:10:45  bosman@wlkp.org
- initial release for PLD, cut off changelog
- inspired by Herbert U. Hübner <herbert-u-.huebner@webave.com>
  http://mungo.homelinux.org/
